System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Xml.Serialization.SchemaImporter

The class is used by the Web Services Description Language Tool (Wsdl.exe), and the class, while generating client proxy classes or abstract server classes from a Web Services Description Language (WSDL) document. Instead of using this class directly, use Wsdl.exe.

The class has methods to generate internal mappings to .NET Framework types for part elements defined in a WSDL document. The class is used only when a WSDL document specifies SOAP encoding, as described in Section 5 of the SOAP 1.1 specification.

Used within the .NET Framework to generate internal mappings to .NET Framework types for SOAP-encoded message parts in a WSDL document.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  SOAP encoding, as defined in Section 5 of the SOAP 1.1 specification, is specified in a WSDL document.

  Instead of creating an instance of the class directly, use Wsdl.exe.

  Initializes a new instance of the class, specifying objects representing the XML schemas used by SOAP encoded messages defined in a WSDL document.

  A collection of objects.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  SOAP encoding, as defined in Section 5 of the SOAP 1.1 specification, is specified in a WSDL document.

  Instead of creating an instance of the class directly, use Wsdl.exe.

  Initializes a new instance of the class, specifying objects representing the XML schemas used by SOAP encoded messages, plus classes being generated for bindings defined in a WSDL document.

  A collection of objects.
  A object that specifies a collection of classes being generated for bindings defined in a WSDL document.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class specifying the schemas, compiler options, and the context of the schemas.

  A collection of objects.
  One of the that specifies various options for generating a .NET Framework type.
  An that describes the context in which a set of schema are bound to .NET Framework code entities.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class specifying the schemas, compiler options, and names of related code entities.

  A collection of objects.
  A that maintains a group of names for related code entities or type mappings that are generated by the .NET Framework's XML serialization infrastructure.
  One of the that specifies various options for generating a .NET Framework type.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class specifying the schemas, compiler options, and names of related code entities.

  An containing a collection of objects.
  One of the that specifies various options for generating a .NET Framework type.
  A used to generate the serialization code.
  An that describes the context in which a set of schema are bound to .NET Framework code entities.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlTypeMapping `` `` ``

  The method of the class is used by the Web Services Description Language Tool (Wsdl.exe) while generating client proxy classes or abstract server classes from a Web Services Description Language (WSDL) document. Instead of calling this method directly, use Wsdl.exe.

  The class is used only when a WSDL document specifies SOAP encoding, as described in Section 5 of the SOAP 1.1 specification.

  Generates internal type mapping information for the type of a SOAP-encoded element part defined in a WSDL document where a base type is specified.

  The .NET Framework type mapping information for a derived type corresponding to a WSDL message part.

  An that specifies the name of an element's type for which a .NET Framework type is being generated. A base type for the .NET Framework type being generated. true to indicate that the type being generated may indirectly inherit from the base type; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlMembersMapping `` `` ``

  The method of the class is used by the Wsdl.exe tool while generating client proxy classes or abstract server classes from a Web Services Description Language (WSDL) document. Instead of calling this method directly, use Wsdl.exe.

  The class is used only when a WSDL document specifies SOAP encoding, as described in Section 5 of the SOAP 1.1 specification. This signature of the method is used when a WSDL message is wrapped within a single part element.

  Generates internal type mapping information for a single SOAP-encoded element part defined in a WSDL document.

  The .NET Framework type mapping for a single element part of a WSDL message definition.

  The message name. The message namespace. A object that provides information about the part element.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlMembersMapping `` `` ``

  The method of the class is used by the Wsdl.exe tool while generating client proxy classes or abstract server classes from a Web Services Description Language (WSDL) document. Instead of calling this method directly, use Wsdl.exe.

  The class is used only when a WSDL document specifies SOAP encoding, as described in Section 5 of the SOAP 1.1 specification. The parameter values to the method are taken from a message definition in a WSDL document, including the part elements the message element contains.

  Generates internal type mapping information for the element parts of a SOAP-encoded message defined in a WSDL document.

  The .NET Framework type mappings for the element parts of a WSDL message definition.

  The message name. The message namespace. An array of type that provides information about the part elements.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlMembersMapping `` `` `` ``

  The method of the class is used by the Wsdl.exe tool while generating client proxy classes or abstract server classes from a Web Services Description Language (WSDL) document. Instead of calling this method directly, use Wsdl.exe.

  The class is used only when a WSDL document specifies SOAP encoding, as described in Section 5 of the SOAP 1.1 specification. The parameter values to the method are taken from a message definition in a WSDL document, including the part elements the message element contains.

  Generates internal type mapping information for the element parts of a SOAP-encoded message defined in a WSDL document.

  The .NET Framework type mappings for the element parts of a WSDL message definition.

  The message name. The message namespace. An array of type that provides information about the part elements. true to have elements defined by the parts enclosed in an extra, wrapper element in a SOAP message; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlMembersMapping `` `` `` `` `` ``

  The method of the class is used by the Wsdl.exe tool while generating client proxy classes or abstract server classes from a Web Services Description Language (WSDL) document. Instead of calling this method directly, use Wsdl.exe.

  The class is used only when a WSDL document specifies SOAP encoding, as described in Section 5 of the SOAP 1.1 specification. The parameter values to the method are taken from a message definition in a WSDL document, including the part elements the message element contains.

  Generates internal type mapping information for the element parts of a SOAP-encoded message defined in a WSDL document.

  The .NET Framework type mappings for the element parts of a WSDL message definition.

  The message name. The message namespace. An array of type that provides information about the part elements. true to have elements defined by the parts enclosed in an extra, wrapper element in a SOAP message; otherwise, false. A base type for all .NET Framework types that are generated to correspond to message parts. true to indicate that types corresponding to message parts can indirectly inherit from the base type; otherwise, false.